import test from 'ava';
import { FixtureBaselineTest, FixtureTest } from './interfaces';
/**
 * Creates fixture test.
 * `cwd` will be set to the case directory during the test.
 * @param ava The ava module function (`import ava from 'ava'`).
 * @param casesPath Absolute or relative path (from project root) to the fixture cases parent directory.
 * @param baselinesPath Absolute or relative path (from project root) to the fixture baselines parent directory.
 * @param resultsPath Absolute or relative path (from project root) to the fixture results parent directory.
 */
export declare function fixture(ava: typeof test, casesPath: string, baselinesPath: string, resultsPath: string): FixtureBaselineTest;
export declare function fixture(ava: typeof test, casesPath: string): FixtureTest;
